Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Justin Schell <[email-masked]>
Date: Tue, 2 Feb 2021 17:30:15 -0800

> BTW dumb question: the issue is present also running "emacs -Q" right?

Yes.

> one could also place the breackpoint from gdb for an interactive
> session, is just a little more annoying if one want to re-run multiple
> times while debugging.

Trying to do that, but I have no idea what I'm doing with gdb. The
following doesn't seem to do anything useful. It does seem to run an
emacs process, but there's no window that comes up for me to interact
with and nothing else seems to happen:
```
[builds (master %=)]$ gdb
Emacs.app-\[feature-native-comp\]\[2021-01-30\]\[a8b8d22\]\[macOS-10.15\]\[x86_64\].app/Contents/MacOS/Emacs
GNU gdb (GDB) 10.1
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin19.6.0".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from
Emacs.app-[feature-native-comp][2021-01-30][a8b8d22][macOS-10.15][x86_64].app/Contents/MacOS/Emacs...
(No debugging symbols found in
Emacs.app-[feature-native-comp][2021-01-30][a8b8d22][macOS-10.15][x86_64].app/Contents/MacOS/Emacs)
(gdb)
(gdb) catch throw
Catchpoint 1 (throw)
(gdb) run -Q
Starting program:
/Users/jschell/src_ext/build-emacs-for-macos/builds/Emacs.app-[feature-native-comp][2021-01-30][a8b8d22][macOS-10.15][x86_64].app/Contents/MacOS/Emacs
-Q
[New Thread 0x1b03 of process 4105]
[New Thread 0x2303 of process 4105]
```

I've also tried with `-nw` with similar results.

Am I going to have to build with debug symbols to do anything useful?
I can try to figure that out, but that's not something that I've done
either.

Justin